Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1087017 - Review Request: screen-message - Displays a short text fullscreen
Summary: Review Request: screen-message - Displays a short text fullscreen
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-04-12 22:52 UTC by Leon Weber
Modified: 2017-02-07 08:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-07 08:11:14 UTC


Attachments (Terms of Use)

Description Leon Weber 2014-04-12 22:52:45 UTC
Spec URL: <https://feynman.q-ix.net/rpm/sm.spec>
SRPM URL: <https://feynman.q-ix.net/rpm/sm-0.20-1.fc20.x86_64.rpm>
Description: Screen Message will display a given multi-line message as large as possible, fullscreen and black on white. You can specify the text either when launching sm, or edit it while the program is running.

It is useful to send messages across a room, e.g. during a university lecture. For fast startup, it is recommended to bind it to a key in your Desktop Environment. 

Fedora Account System Username: leonn

Comment 1 Ralf Corsepius 2014-04-13 07:30:14 UTC
/usr/bin/sm clashes with another /usr/bin/sm:
# repoquery -ql jabberd | grep /usr/bin/sm
/usr/bin/sm

=> To be able to let this package into to Fedora, at least renaming this binary will be required.

I'd recomment to tequest upstream to rename this binary or better to rename the entire project, because 2-letter named projects are very likely to clash/conflict with other packages/binaries.

Comment 2 Leon Weber 2014-04-13 13:21:25 UTC
(In reply to Ralf Corsepius from comment #1)
> /usr/bin/sm clashes with another /usr/bin/sm:

Oh, good catch, I missed that.

I’ll see how to fix that.

Comment 3 Leon Weber 2014-05-17 12:54:37 UTC
I’ve renamed the binary, desktop files, man page etc to screen-message.

Spec URL: <https://feynman.q-ix.net/rpm/screen-message.spec>
SRPM URL: <https://feynman.q-ix.net/rpm/screen-message-0.20-2.fc20.src.rpm>

Comment 4 Leon Weber 2014-05-17 18:03:15 UTC
Now referring to the renamed binary name in the man page:

Spec URL: <https://feynman.q-ix.net/rpm/screen-message.spec>
SRPM URL: <https://feynman.q-ix.net/rpm/screen-message-0.20-3.fc20.src.rpm>

Comment 5 Antonio Trande 2014-07-01 15:37:13 UTC
(In reply to Leon Weber from comment #4)
> Now referring to the renamed binary name in the man page:
> 
> Spec URL: <https://feynman.q-ix.net/rpm/screen-message.spec>
> SRPM URL: <https://feynman.q-ix.net/rpm/screen-message-0.20-3.fc20.src.rpm>

Have you talked with upstream before rename everything?

Comment 6 Raphael Groner 2017-02-06 21:10:28 UTC
The links give 404 errors.

I doubt sm is any good name for a package. screen-message would obviously be the better name, also for the provided binary. Is there any alive upstream?

Are you still interested in this package?

Comment 7 Leon Weber 2017-02-07 00:04:50 UTC
(In reply to Raphael Groner from comment #6)
> I doubt sm is any good name for a package. screen-message would obviously be
> the better name, also for the provided binary. Is there any alive upstream?

Certainly the package name should match the provided binary. This program is mostly known in the Debian world, where it is known as sm.[1] Due to name clashes, I’ve built a package where the binary is named screen-message, although I still would prefer the name sm.
 
> Are you still interested in this package?

Not really, no.

[1] <https://packages.debian.org/en/sid/sm>

Comment 8 Raphael Groner 2017-02-07 08:11:14 UTC
(In reply to Leon Weber from comment #7)
…
> > Are you still interested in this package?
> 
> Not really, no.

Okay, so closing here. Please feel free to reopen if you're still interested to continue or start another review request.


Note You need to log in before you can comment on or make changes to this bug.